<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Images\error.png" />
    <None Remove="Images\info.png" />
    <None Remove="Images\warning.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="16.1.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\BenchMovementModule\BenchMovementModule.csproj" />
    <ProjectReference Include="..\CANModule\CANModule.csproj" />
    <ProjectReference Include="..\Command\Command.csproj" />
    <ProjectReference Include="..\DeviceCommand\DeviceCommand.csproj" />
    <ProjectReference Include="..\DeviceEditModule\DeviceEditModule.csproj" />
    <ProjectReference Include="..\LoginModule\LoginModule.csproj" />
    <ProjectReference Include="..\MainModule\MainModule.csproj" />
    <ProjectReference Include="..\MonitorModule\MonitorModule.csproj" />
    <ProjectReference Include="..\Service\Service.csproj" />
    <ProjectReference Include="..\SettingModule\SettingModule.csproj" />
    <ProjectReference Include="..\TestingModule\TestingModule.csproj" />
    <ProjectReference Include="..\UIShare\UIShare.csproj" />
    <ProjectReference Include="..\UpdateInfoMoudle\UpdateInfoMoudle.csproj" />
    <ProjectReference Include="..\ZLGUSBCANFD\ZLGUSBCANFD.csproj" />
    <ProjectReference Include="..\加密狗\加密狗.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Images\error.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Images\info.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Images\warning.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>

</Project>
